<html lang="">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <meta http-equiv="refresh" content="10"/>

    <title>ATS Mobile Station</title>
    <style type="text/css">
        ul {
            list-style: none;
        }

        ul li::before {
            content: "\2022";
            color: blue;
            font-weight: bold;
            display: inline-block;
            width: 1em;
            margin-left: -1em;
        }
    </style>
    <script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/2.0.0/jquery.min.js"></script>
    <script type="text/javascript">

        function showInfos(name, description) {
            document.getElementById("name").innerHTML = name;
            document.getElementById("info").innerHTML = description;
        }

        function checkLock(item, locked) {
            if (locked == null) {
                const lockImg = item.getElementsByTagName("img");
                if (lockImg.length > 0) {
                    item.removeChild(lockImg[0]);
                }
            } else {
                const img = document.createElement("img");
                img.src = "lock.png";
                item.appendChild(img);
            }
        }

        function loadDeviceInfo() {
            $.getJSON("devices.json", function (devices) {
                const list = document.getElementById("listDevices");
                list.innerHTML = "";
                for (let i = 0; i < devices.length; ++i) {
                    const device = devices[i];
                    const item = document.createElement("li");
                    let img = document.createElement("img");
                    if (device["manufacturer"] === "Apple") {
                        img.src = "ios.png";
                    } else {
                        img.src = "android.png"
                    }
                    item.appendChild(img);
                    item.appendChild(document.createTextNode(device["modelName"] + " (v" + device["osVersion"] + ") (" + device["ip"] + ":" + device["port"] + ")"));

                    if (device["locked"] != null) {
                        img = document.createElement("img");
                        img.src = "lock.png";
                        item.appendChild(img);
                    }

                    list.appendChild(item);
                }
            });
        }

        loadDeviceInfo();

    </script>
</head>
<body>
<h2><span style="color: #3b3349;"><p>ATS Mobile Station<em><label id="name"></label></em></p></span></h2>
<b>Description : </b><span style="color: #666699;"><em><label id="info"></label></em></span>
<div style="height:95%; width:100%">
    <div style="width:100%; height:100%; float: left">
        <ul id="listDevices"></ul>
    </div>
</div>
</body>
</html>
